[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TStrListMaker.Put

Add a new string to the list with associated key.

## Declaration

Source position: objects.pp line 550

`procedure TStrListMaker.Put(`
`Key: Sw_Word;`
`S: string`
`);`

## Description

Put adds they string S with key Key to the collection of strings. This action doesn't write the string to a stream. To write the strings to the stream, see the Store method.

## Errors

None.

## See also

TStrListMaker.Store |  | Write the strings to the stream.

Documentation generated on: Feb 26 2014